### Function

# Fwupd Codec array_to_variant

since: 2.0.0

#### Declaration [src]

    GVariant*
    fwupd_codec_array_to_variant (
      GPtrArray* array,
      FwupdCodecFlags flags
    )

#### Description [src]

Converts an array of objects into a `GVariant` value.

Available since: 2.0.0

#### Parameters

`array`

  Type: An array of `GObject*`

  (not nullable): array of objects that much implement `FwupdCodec`.

  The data is owned by the caller of the function.

`flags`

  Type: `FwupdCodecFlags`

  A `FwupdCodecFlags`, e.g. `FWUPD_CODEC_FLAG_TRUSTED`.

#### Return value

Type: `GVariant`

A `GVariant`.

The caller of the function takes ownership of the data, and is responsible for freeing it.